#include <stdio.h>
#include <stdlib.h>

void print_roman(int n)
{
	char *symbols[] = { "M","CM", "D", "CD", "C", "XC", "L", "XL", "X", "IX", "V", "IV", "I"};
	int   values[] =  {1000, 900, 500,  400, 100,   90,  50,  40,   10,    9,   5,    4,   1};
	int step = 0;

	while (n > 0) {
		while (values[step] > n)
			step++;
		printf("%s", symbols[step]);
		n -= values[step];
	}
	printf("\n");
}

int main(int argc, char *argv[])
{
	int i;
	for (i = 1; i < argc; i++) {
		print_roman(atoi(argv[i]));
	}
}