#ifndef GRADING_TABLE_H
#define GRADING_TABLE_H

#include <stdint.h>
#include <stdio.h>

typedef struct grading_entry_t *grading_table_ptr;
struct grading_entry_t {
	uint32_t matrikelnummer;
	uint16_t serie;
	uint16_t punkte;
	grading_table_ptr next;
};

extern grading_table_ptr read_list(FILE *filep);
extern void              delete_list(grading_table_ptr head);

extern void traverse_list(grading_table_ptr head, void (*visitor)(grading_table_ptr current));
extern int  reduce_list  (grading_table_ptr head, int  (*visitor)(grading_table_ptr current, int val), int start_val);

#endif /* GRADING_TABLE */
